For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet all custom schemas
        • GETGet custom schema
        • POSTCreate a custom schema
        • PATCHUpdate custom schema
Contact Sales
LogoLogo
API ReferenceCustom SchemasV1

Update custom schema

Beta
PATCH
/api/custom-schemas/v1/:schema_id
PATCH
/api/custom-schemas/v1/:schema_id
$curl -X PATCH https://api.joincandidhealth.com/api/custom-schemas/v1/ec096b13-f80a-471d-aaeb-54b021c9d582 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "General Medicine and Health",
> "description": "Values collected during all visits",
> "fields_to_add": [
> {
> "key": "visit_type",
> "type": "STRING"
> }
> ]
>}'
1{
2 "id": "ec096b13-f80a-471d-aaeb-54b021c9d582",
3 "name": "General Medicine and Health",
4 "fields": [
5 {
6 "key": "provider_category",
7 "type": "STRING"
8 },
9 {
10 "key": "is_urgent_care",
11 "type": "BOOLEAN"
12 },
13 {
14 "key": "bmi",
15 "type": "DOUBLE"
16 },
17 {
18 "key": "age",
19 "type": "INTEGER"
20 },
21 {
22 "key": "visit_type",
23 "type": "STRING"
24 }
25 ],
26 "description": "Values collected during all visits"
27}
Update the name, description, or keys on a preexisting schema.
Was this page helpful?
Previous

Submit encounter eligibility check (Availity)

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

schema_idUUIDRequired

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
fields_to_addlist of objectsOptional
A list of typed entries to add to schema. Only additive modifications are permitted.

Response

This endpoint returns an object.
idUUID
namestring
fieldslist of objects
descriptionstring

Errors

403
Unauthorized Error
404
Entity Not Found Error
422
Schema Validation HTTP Failure